Summary   	: DHCP Client Daemon.
Name	  	: hhl-target-dhcpcd
Version	  	: 1.3.22pl2
Release	  	: %{_hhl_build_id}.1
Source		: dhcpcd_1.3.22pl2.orig.tar.gz
Source1: dhcpcd.tmpl
Patch		: dhcpcd_1.3.22pl2-2.diff.gz
License 	: GPL 
Group	  	: net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}
#BuildRequires	:
#Requires	:
#Provides 	:
#Obsoletes	:

#
#	SRPM
#
%description

Dynamic host configuration protocal client

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-dhcpcd
Summary		: DHCP Client Daemon.
Group		: net
AutoReqProv	: no

%description -n hhl-%{_hhl_target_arch}-dhcpcd

Dynamic host configuration protocal client.  dhcpcd supports executions of 
a script when the IP address changes.

%prep

%target_check

%setup -n dhcpcd-1.3.22pl2.orig
%patch -p1

%build
%target_setup

%target_configure

make LDFLAGS=""

%install
%target_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/etc/dhcpc
mkdir -p %{buildroot}%{_hhl_cross_target_dir}/sbin
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/

install objdir/dhcpcd %{buildroot}%{_hhl_cross_target_dir}/sbin/dhcpcd-bin
install debian/dhcpcd %{buildroot}%{_hhl_cross_target_dir}/sbin/dhcpcd
install -m 644 debian/config %{buildroot}%{_hhl_cross_target_dir}/etc/dhcpc/.
install dhcpcd.exe %{buildroot}%{_hhl_cross_target_dir}/etc/dhcpc/.

install dhcpcd.8 \
    %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcpcd-bin.8
install debian/dhcpcd.8 \
    %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcpcd.8


gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/dhcpcd

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-dhcpcd
%defattr(-,root,root)
%doc LICENSE NEWS README AUTHORS pcmcia
%dir %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dhcpc
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dhcpc/config
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/dhcpc/dhcpcd.exe
%{_hhl_cross_target_dir}/sbin/dhcpcd
%{_hhl_cross_target_dir}/sbin/dhcpcd-bin
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcpcd.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/dhcpcd-bin.8.gz

%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/dhcpcd

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Feb 26 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
